Bug 1416294 - [RFE] Add documentation for content view/lifecycle environment related permissions
Summary: [RFE] Add documentation for content view/lifecycle environment related permis...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Content Management Guide
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: Zac Dover
QA Contact: Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-25 07:44 UTC by Ondřej Pražák
Modified: 2019-09-26 16:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-06 21:59:10 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ondřej Pražák 2017-01-25 07:44:09 UTC
For non-admin users, 2 permissions are needed to be able to promote a content view to an environment (promote_or_remove_content_views and promote_or_remove_content_views_to_environment). Filter on the first one creates a restriction on what content views a user is allowed to promote, the second one restricts what environments a user is allowed to promote to. The idea is that some users may be allowed to promote certain content views to 'Test' environment, but not to 'Production', which allows for better granularity. One negative side effect is that both permissions need to be assigned to allow promotions. Not all users are aware of it and [1] was raised. Maybe we could add a side note on this to Content Management Guide (or some other place if it is more appropriate).
  
   
[1] https://bugzilla.redhat.com/show_bug.cgi?id=1317806

Comment 1 Andrew Dahms 2017-01-27 02:01:41 UTC
Assigning to Zac for review.

Zac - looks like we need to add a note to the following section of the Content Management Guide to call out the permissions above, and one or two quick notes about what each of the permissions allow non-administrators to do -

https://access.redhat.com/documentation/en/red-hat-satellite/6.2/single/content-management-guide#Creating_Content_Views-Promoting_a_Content_View


Note You need to log in before you can comment on or make changes to this bug.